> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Validate a message > Validates a prepared message for the following functionality: check that message is valid (InvalidObjectError -> objecttype message), check that message does not contain invalid content store items, check that message does not use archived Attributes (InvalidObjectError -> objecttype attribute).
Request body example:

["1800249570","1800202306"]
## OpenAPI ````json GET /message/validate { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/message/validate": { "get": { "tags": [ "Message" ], "summary": "Validate a message", "description": "Validates a prepared message for the following functionality: check that message is valid (InvalidObjectError -> objecttype message), check that message does not contain invalid content store items, check that message does not use archived Attributes (InvalidObjectError -> objecttype attribute).
Request body example:

[\"1800249570\",\"1800202306\"]
", "operationId": "validate", "parameters": [ { "name": "messageId", "in": "query", "description": "ID of the message", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Example response:
{
\"entityKey\": \"1800249570\",
\"code\": \"ARCHIVED_ATTRIBUTE\",
\"message\": \"Message contains archived attribute(s) user.CustomAttribute.Attribute1.\"
}", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/CallResult" } } } }, "400": { "description": "Message ID does not exist, for example:

{
\"errorActor\": \"CLIENT\",
\"errorCode\": \"NO_SUCH_OBJECT\",
\"message\": \"Message with id=24011454555 does not exist.\",
\"objectType\": \"Message\",
\"propertyName\": \"id\",
\"propertyValue\": \"24011454555\"
}
", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "CallResult": { "type": "object", "properties": { "entityKey": { "type": "string" }, "code": { "type": "string" }, "message": { "type": "string" } } } } } } ````